           TIPS ON USING PERFECT WRITER by A BEGINNER
                      (c) by Beverly Howard

        I know the feeling of being left out in the cold now,
left out in the cold with a box of matches padlocked inside a
steel box.  For all practical purposes, I taught myself how to
use Perfect Writer with no previous computer experience.

        I did have one solid individual to fall back on if I got
stuck, but my wanting to stand alone led to many hours of finding
my way around this program.  Probably the best thing that I did
to make progress was taking the Perfect Writer manual to bed for
some late night reading every time that I thought I knew
everything there was to know about the program.

        What follows is a selection of hard learned tips on using
this very powerful program.

        First, it will help a little to understand how the
program is set up to work, then most of the maddening aspects of
the program will begin to make sense.  It is broken up into a
"MENU," "PW," "PF," and "PP" programs.  The Menu Program is
simply a key pusher program.  If you use "Z" to delete a file
for example, the Menu simply types out the command "ERA
filename.ext" after you answer its questions.  If you wish you
could delete this program

        In the "PW" or actual writing part of the program, the
computer is simply involved in collecting, and if you wish,
moving, deleting and adding to a long string of letters and
spaces as you strike the keys.  The program makes a concession to
the user by displaying the text as a typist expects to see it on
a sheet of paper stuck in the typewriter, but in fact the stored
text file will not use any of the carriage returns, tabs,
centered headings or anything else that makes it look like it
does on the screen, it is simply a long unbroken line of
characters.

        Once you have written your masterpiece, the program "PF"
handles the arrangement of the words as they will appear on
paper.  The "PF" program arranges the characters to fit on the
paper taking into consideration the size of the paper, margin
size, size of the printed characters, the formatting commands,
type styles and even priming the printer into the right mode for
the text that will be fed to it.  Here is where that
"Installation disk" and a file named "PF.DAT." come in to play. 

        When You bought the program, it was probably "configured"
to a standard set of values and you may have been a little afraid to
tamper with something that works, (if only  partially) the way you
want it to.  Well it's the "PFCONFIG" program that decides how
the document is going to look on paper and matches the printer
you are going to use to that piece of paper, so it's there that
you will go to set up the "standard" margins, indentations etc.
that you want to use, plus telling it about the capabilities and
characteristics of your printer(s).  In addition, if you always
print with a certain typestyle (Boldface for example) you can
tell the printer to go to that mode everytime you print with "PF."

        I strongly recommend that the user venture into the
"PFCONFIG" program on the installation disk and look first at the
"Perfect Writer Default Style Paramaters."  Change something
simple like the paragraph indentation from the absurd value of
two letters to five or zero.  If the "Edit Disk" is in the
default drive when you make the change, PFCONFIG will
automatically change the PF.DAT file on that disk to effect any
changes you make.  (Now is a good time to have a back up of the
edit disk.)  Then go on to updating the printer definitions to
the capabilities of your printer.

        Now on to using the PW Program.  First mistake that most
make is loosing a file and then finding that it went to drive A
to reside on the program disk until the writer discovers it by
accident, then he remembers that he forgot to put a B: in front
of the filename.  Files will always be sent to the "default disk"
if a drive designator is not tacked on to the front of the
filename.  The simpilist way to avoid this from happening and not
having to type countless "B:"'s is to change the default from A
to B by typing B:<CR> before calling up the PW Menu.  The next
step is to call up the menu by typing A:MENU<CR>.  From that
point on, all files will go to or be looked for on drive B unless
another drive is specified with the filename.  Everything else
functions normally.

        When I fire up the Kaypro to write, my mind is on the
contents of what I want to write, not on thinking up an eight
letter code name for it.  When I first started using the
computer, I would loose some of my momentum at the menu trying to
come up with a good name, and later I could never remember it
because it didn't seem to fit the text.  Now I just hit "E<CR>"
and start typing.  I had developed the habit of saving the text
with ctrl X ctrl S when my brain signaled the need for a short
break, so I simply modified that to ctrl X ctrl W at the first
save,and the filename that then came to mind seemed to fit the
text and make sense.  All subsiquent saves with ctrl X ctrl S go
automatically to that file.

        If you forget to name the file, you probably know that
it's automatically named -NAME.ME, and goes to the default drive
(hopefully drive B).  That "-" tagged onto the front puts it at
the beginning of any directory sorted alphabetically to call as
much attention to itself as possible so that it will be given a
proper name before the next file you forget to name destroys it.

        Going back to the menu for a moment it took me about a
half a year of heavy writing to discover that when I needed to
back out of a selection after I had made one by mistake, (usually
realizing I didn't remember the correct filename when I wanted to
do revisions)  Ctrl G was the solution.

        All these "Control Characters."  For someone used to an
old manual typewriter, they could really slow me down.  I had
heard about reconfiguring the numberpad, but had been leary of
really messing things up.  I saw that the new manual had a
section on doing this, so I copied the pages and took it home
where the information sat unused for a month.  When I finally got
my nerve up to try it, I kicked myself.  It was simplicity
itself, just follow the menu in "CONFIG."  I suggest the
following setup.  

 ^A  ^E  ^Y  ^C
 ^Z  ^G  ^B  ^W
 ^V  ^T  ^F
    :    ^S  ^X

        The hex codes are;

01 05 19 03
1A 07 02 17
16 14 06
 3A   13 18

        The resulting commands are;

Line 1: Beginning of line, End of line, Yank text, Kill Line/Quit
Line 2: Back Screen, Cancel command, /Buffer Directory,Wipe/Write 
Line 3: Forward Screen, Transpose letters, /Find File
Line 4: Colon (:), Search/Save, Extended Command/ (use with commands 
                clustered around this key.)

        Tab spacing in the Perfect Writer program will give you a
lot of unpredictable problems when transmitting text files by
modem, particullarly to the electronic mail services.  The big
computers ignore the character used to indicate the tab just like
the formatting program does, so your nicely formed text comes out
lopsided.  Solution, go back to the beginning of the file and do
a search and replace (ESC R), replacing tab with eight spaces. 
Strangely, the centering command (ESC S) uses tab spacing also,
and this also works to keep headlines centered when the text gets
squeezed into a telephone line.  The tabs will not remain neat
when formatting with Perfect Formatter though, as spaces are
added and deleted to give an even right margin. 

        OK, youv'e finished pounding the keys and are ready to
back out of the program.  Now is the time to check on the "*"
symbol to find out how safe things are.  When you do the revision
or additions on the screen, the contents of the disk file don't
change.  The only time the file on the disk is modified is when a
"save" or a "write" is executed.  Although a "File Written"
message appears, the text can be altered considerably before the
message dissapears.  The presence of the "*" next to the
percentage cursor position in the bottom line or in the buffer
directory ( ctrl X ctrl B) indicates that the text in the buffer is
different than the text in the disk file.  In short if you  ctrl X ctrl C
when the "*" is showing you will loose everything since the last
save.

        Now we are up to the problem of seeing where the page
breaks fall when the formatter gets done with the text.  On your
initial formatting, use the menu selection that sends the output
to the console.  Aha, you say,  "It dosen't look at all like what
will eventually come out of the printer."  That is because of an
error in the PFConfig program.  In the master installation disk
sent with my Kaypro, the definition of the console is based on
the size of the video monitor, logical but useless.  You will
need to go into the PFConfig program and redefine the screen size
to 21,590 by 27,940 micas, the size of 8.5 by 11 inch paper.  You
woun't get all the text of a page on the screen, but it will go
by exactly as it will be printed out on the printer.

        In addition, when the formatting is going by on the
console, you will be given error messages on your format
commands.  Be ready with  ctrl S so you can stop the scrolling
and copy down the location, then go back into the file with Edit,
and with the cursor at the beginning of the file, type ESC then
the line number, then the cursor down arrow.  If you typed in
213, the computer will push the down arrow 213 times and the
cursor will end up one line past the error.

        One of the most useful formatting commands in perfect
writer is the INCLUDE command.  In addition to allowing the
writer of a book to keep the file sizes managable and within the
limits of the swap file, if you are printing a series of short
documents that need to be formatted, you can create a combine
file that will string the documents together for the formatting
and printing process.  Simply create a file that consists of
@PAGEFOOTING()@INCLUDE(B:filename1)@NEWPAGE@INCLUDE(B:filename2)
@NEWPAGE etc. etc..  You can include the typeface commands at the
beginning of this file if you do NOT include them in the
individual files.  In addition, this works even if there are
nested @INCLUDE commands in the individual files.  If you have a
number of letters, you can run this file and go off to lunch
while the computer churns away, instead of formatting and
printing each one individually.

        Well that's a beginning.  Perhaps a couple of these
suggestions will help to speed up your writing and lower the
frustration level with Perfect Writer.  Good Luck and high speed
writing.  In addition to allowing the
writer of a book to keep the file sizes managable and within the
limits of the swap file,